Self-serve contractor payments

Self Serve List Invoices For Review

Lists all org invoices for admin review with batch eligibility, derived payment status and USD equivalents.

POSThttps://api.toku.com/hris/self-serve-list-invoices-for-review

Required scope: invoices:read

curl --request POST \
  --url 'https://api.toku.com/hris/self-serve-list-invoices-for-review' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "status": "DRAFT",
  "excludeBatched": false,
  "tokuContractorCryptoOnly": false,
  "summaryOnly": true
}'
200 response
{
  "invoices": [
    {
      "invoicePaymentID": "string",
      "invoiceNumber": "string",
      "invoiceDate": "string",
      "dueDate": "string",
      "totalAmount": "string",
      "currencyCode": "string",
      "status": "string",
      "contractorName": "string",
      "contractorEmail": "string",
      "submissionTimestamp": "string",
      "approvalRevision": 0,
      "reason": "string",
      "rejectionReason": "string",
      "autoApproved": true,
      "lineItems": [
        {
          "invoicePaymentLineItemID": "string",
          "description": "string",
          "quantity": 0,
          "unitPrice": 0,
          "amount": 0,
          "taxAmount": 0,
          "discountAmount": 0,
          "total": 0,
          "category": "string",
          "paymentMethodType": "BANK_TRANSFER",
          "hrisBankAccountID": "string",
          "cryptoCurrency": "string",
          "cryptoNetwork": "string",
          "merchant": "string",
          "spentAmount": "string",
          "spentCurrencyCode": "string",
          "fxRate": "string",
          "expensedDate": "string"
        }
      ],
      "notes": "string",
      "roleInOrgID": "string",
      "groupedTotals": {
        "bankTotals": [
          {
            "currencyCode": "string",
            "total": "string"
          }
        ],
        "cryptoTotals": [
          {
            "tokenSymbol": "string",
            "networkName": "string",
            "total": "string"
          }
        ]
      },
      "usdEquivalent": 0,
      "isPaymentBatchEligible": true,
      "isTokuContractorCryptoInvoice": true,
      "derivedPaymentStatus": "string",
      "batchEligibility": {
        "isBatchEligible": true,
        "reason": "string",
        "selectedReceiveRouteTokenTypeID": "string",
        "selectedReceiveRouteLabel": "string"
      },
      "duplicateCandidates": [
        {
          "invoicePaymentID": "string",
          "invoiceNumber": "string",
          "invoiceDate": "string",
          "totalAmount": "string",
          "currencyCode": "string",
          "status": "string",
          "matchType": "EXACT_AMOUNT"
        }
      ],
      "invoiceVersion": "string",
      "approvalRouting": {
        "invoiceVersion": "string",
        "steps": [
          {
            "stepOrder": 0,
            "kind": "string",
            "approverName": "string",
            "fallsBackToAdmins": true,
            "state": "approved",
            "approvedByName": "string",
            "approvedByOverride": true
          }
        ],
        "currentStepOrder": 0,
        "requiredApprovals": 0,
        "approvalsCounted": 0,
        "waitingOn": "string"
      }
    }
  ],
  "total": 0,
  "statusCounts": {
    "all": 0,
    "pending": 0,
    "approved": 0,
    "completed": 0
  }
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

statusstring

Available options: DRAFT, PENDING, APPROVED, REJECTED, CANCELLED, FAILED, COMPLETED

excludeBatchedboolean

Default: false

tokuContractorCryptoOnlyboolean

Default: false

summaryOnlyboolean

Response

200Successful response
invoicesobject[]required
Show child attributes
invoicePaymentIDstringrequired
invoiceNumberstring | null
invoiceDatestring | null
dueDatestring | null
totalAmountstring | null
currencyCodestring | null
statusstring | null
contractorNamestring | null
contractorEmailstring | null
submissionTimestampstring | null
approvalRevisionnumber | null
reasonstring | null
rejectionReasonstring | null
autoApprovedboolean | null
lineItemsarray | null
Show child attributes
invoicePaymentLineItemIDstring | null
descriptionstring | null
quantitynumber | null
unitPricenumber | null
amountnumber | null
taxAmountnumber | null
discountAmountnumber | null
totalnumber | null
categorystring | null
paymentMethodTypestring | null

Available options: BANK_TRANSFER, CRYPTO_WALLET, null

hrisBankAccountIDstring | null
cryptoCurrencystring | null
cryptoNetworkstring | null
merchantstring | null
spentAmountstring | null
spentCurrencyCodestring | null
fxRatestring | null
expensedDatestring | null
notesstring | null
roleInOrgIDstring | null
attachmentsanyrequired
groupedTotalsobject | null
Show child attributes
bankTotalsarray | null
Show child attributes
currencyCodestring | null
totalstring | null
cryptoTotalsarray | null
Show child attributes
tokenSymbolstring | null
networkNamestring | null
totalstring | null
usdEquivalentnumber | null
isPaymentBatchEligibleboolean | null
isTokuContractorCryptoInvoiceboolean | null
derivedPaymentStatusstring | null
batchEligibilityobject | null
Show child attributes
isBatchEligibleboolean | null
reasonstring | null
selectedReceiveRouteTokenTypeIDstring | null
selectedReceiveRouteLabelstring | null
duplicateCandidatesarray | null
Show child attributes
invoicePaymentIDstring | null
invoiceNumberstring | null
invoiceDatestring | null
totalAmountstring | null
currencyCodestring | null
statusstring | null
matchTypestring | null

Available options: EXACT_AMOUNT, SIMILAR_AMOUNT, null

invoiceVersionstring | null
approvalRoutingobject | null
Show child attributes
invoiceVersionstring | null
stepsarray | null
Show child attributes
stepOrdernumber | null
kindstring | null
approverNamestring | null
fallsBackToAdminsboolean | null
statestring | null

Available options: approved, current, waiting, null

approvedByNamestring | null
approvedByOverrideboolean | null
currentStepOrdernumber | null
requiredApprovalsnumber | null
approvalsCountednumber | null
waitingOnstring | null
totalnumberrequired
statusCountsobjectrequired
Show child attributes
allnumberrequired
pendingnumberrequired
approvednumberrequired
completednumberrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits